org.apache.cassandra.thrift

## Class ThriftServer

- java.lang.Object
- - org.apache.cassandra.thrift.ThriftServer

All Implemented Interfaces:
  CassandraDaemon.Server

    public class ThriftServer
    extends java.lang.Object
    implements CassandraDaemon.Server

### Field Summary

Fields
`protected java.net.InetAddress` `address`
`static java.lang.String` `ASYNC`
`protected int` `backlog`
`static java.lang.String` `HSHA`
`protected int` `port`
`static java.lang.String` `SYNC`

### Constructor Summary

Constructors
Constructor and Description
`ThriftServer(java.net.InetAddress address, int port, int backlog)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected CassandraServer` `getCassandraServer()`
`protected org.apache.thrift.TProcessor` `getProcessor(CassandraServer server)`
`protected org.apache.thrift.transport.TTransportFactory` `getTransportFactory()`
`boolean` `isRunning()` Returns whether the server is currently running.
`void` `start()` Start the server.
`void` `stop()` Stop the server.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SYNC

    public static final java.lang.String SYNC

See Also:
  Constant Field Values

#### ASYNC

    public static final java.lang.String ASYNC

See Also:
  Constant Field Values

#### HSHA

    public static final java.lang.String HSHA

See Also:
  Constant Field Values

#### address

    protected final java.net.InetAddress address

#### port

    protected final int port

#### backlog

    protected final int backlog

### Constructor Detail

#### ThriftServer

    public ThriftServer(java.net.InetAddress address,
                        int port,
                        int backlog)

### Method Detail

#### start

    public void start()

Description copied from interface: `CassandraDaemon.Server`
Start the server. This method shoud be able to restart a server stopped through stop(). Should throw a RuntimeException if the server cannot be started

Specified by:
  `start` in interface `CassandraDaemon.Server`

#### stop

    public void stop()

Description copied from interface: `CassandraDaemon.Server`
Stop the server. This method should be able to stop server started through start(). Should throw a RuntimeException if the server cannot be stopped

Specified by:
  `stop` in interface `CassandraDaemon.Server`

#### isRunning

    public boolean isRunning()

Description copied from interface: `CassandraDaemon.Server`
Returns whether the server is currently running.

Specified by:
  `isRunning` in interface `CassandraDaemon.Server`

#### getCassandraServer

    protected CassandraServer getCassandraServer()

#### getProcessor

    protected org.apache.thrift.TProcessor getProcessor(CassandraServer server)

#### getTransportFactory

    protected org.apache.thrift.transport.TTransportFactory getTransportFactory()